function scores = gainGini(F, timeLag)
F = discretizeFluorescenceSignal(F,'bins',3);

[row col] = size(F);
arr = [];
for i=1:1:col
    for j=i+1:1:col
        Values_ij = informationGain(F(:,i),F(:,j),'gini');
        Values_ji = informationGain(F(:,j),F(:,i),'gini');
        
        arr = [arr;i j Values_ij];
        arr = [arr;j i Values_ji];
    end
end
scores =  sparse(arr(:,1), arr(:,2), arr(:,3), col,col);
