function IG = informationGain(A,B,method )
dataSubset = B;
str = [method '(dataSubset);'];
measure = eval(str);

IG = measure;
vals = unique(A);
for i=1:1:length(vals)
    ind = find(A==vals(i));
    prob = length(ind)/length(A);
    dataSubset = B(ind);
    IG = IG - prob*eval(str);
end

function e = entropy(X)
total = length(X);
vals = unique(X);
e=0;

if length(vals)==1
    return; 
end

for i=1:1:length(vals)
    ind = find(X==vals(i));
    prob = length(ind)/total;
    e = e - (prob*log2(prob));
end

function e = gini(X)
total = length(X);
vals = unique(X);
e=1;

for i=1:1:length(vals)
    ind = find(X==vals(i));
    prob = length(ind)/total;
    e = e - (prob*prob);
end

function e = maxError(X)
total = length(X);
vals = unique(X);
prob = [];

for i=1:1:length(vals)
    ind = find(X==vals(i));
    prob = [prob length(ind)/total];
end
e = 1 - max(prob);