methodUsed = @granger;
fprintf('Using %s.\n', func2str(methodUsed));

fluorescenceFile = [pwd filesep 'fluorescence_mocktest.mat'];
M = load(fluorescenceFile);
F = M.M;

% parametrized timeLag -- set later.
timeLag = 0;
scores = methodUsed(F, timeLag);

networkFile = [pwd filesep 'network_mocktest.txt'];
network = readNetworkScores(networkFile);
h = figure('Name', [func2str(methodUsed) ' -- ROC curve']);
[AUC, FPR, TPR, TPRatMark, raw] = computeROC(network, scores, 'plot', h);
fprintf('AUC = %5.5f\n', AUC);

fclose all;